Package org.codehaus.groovy.vmplugin.v8

# Class IndyArrayAccess

java.lang.Object
org.codehaus.groovy.vmplugin.v8.IndyArrayAccess

public class IndyArrayAccess extends Object
Class for handling array access through invokedynamic using static callsite information

Since:
  2.5.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IndyArrayAccess()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MethodHandle`
  `arrayGet(MethodType type)`
  `static MethodHandle`
  `arraySet(MethodType type)`
  `static boolean`
  `notNegative(int index)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IndyArrayAccess

    public IndyArrayAccess()

- ## Method Details

  - ### notNegative

    public static boolean notNegative(int index)

  - ### arrayGet

    public static MethodHandle arrayGet(MethodType type)

  - ### arraySet

    public static MethodHandle arraySet(MethodType type)